Change provided company data

Overview

Use this endpoint to update the fixedInfo.companyInfo object, which contains the company data provided by the applicant. This information is intended to be cross-checked against the company data extracted from documents (info.companyInfo).

This method allows you to update existing company information without creating a new profile—simply submit this PATCH request with the new data.

🚧

Important

  • Submitting new information will overwrite the previously stored data. To retain current values, omit those fields from the request payload.
  • A patched fixedInfo entity could be quite damaging if misused. It is recommended to check in the sandbox environment if the response returns expected results.
📘

Note

If you need to re-check the company once the information has been changed, you need to revert the company verification status to pending by initiating another review.

Request examples

curl -X PATCH \
     'https://api.sumsub.com/resources/applicants/673f390478c5cc60a492aa39/fixedInfo/companyInfo' \
     -H 'accept: application/json' \
     -H 'content-type: application/json' \
     -d '{
            "companyName": "Mega Corp",
            "registrationNumber": "123-456-789",
            "country": "USA",
            "alternativeNames": [
              "Mega",
              "Megacorp"
            ],
            "legalAddress": "New York, 100 Street",
            "incorporatedOn": "2020-05-25",
            "type": "Public Limited Company",
            "registrationLocation": "New York",
            "website": "www.website.com",
            "skippedTypes": [
              "ubo",
              "representative"
            ],
            "noDocs": false
          }'

Response explained

If the request is successfully sent and processed, you will get the following response indicating the data has been updated.

{
  "ok": 1
}
📘

Note

To get the applicant profile data, use the following method.

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "27b05e3e3a94851dc0d7caef793ab82d",
  "errorCode": 0,
  "description": "Invalid id '673390478c5cc60a492aa39'"
}
Path Params
string
required
Body Params
string
string
string
alternativeNames
array of strings
alternativeNames
string
address
object
string
string
string
string
string
string
string
string
string
string
string
skippedTypes
array of strings
skippedTypes
boolean
Defaults to false
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!